QDomCDATASection(3qt)

NAME
QDomCDATASection - Represents an XML CDATA section <h1 align=center>QDomCDATASection Class Reference
<small>[ XML module ]</small></h1>

#include <qdom.h>

Inherits QDomText.

  Public Members
QDomCDATASection ()
QDomCDATASection ( const QDomCDATASection & x )
QDomCDATASection& operator= ( const QDomCDATASection & )
~QDomCDATASection ()
virtual QDomNode::NodeType nodeType () const
virtual bool isCDATASection () const

DESCRIPTION
The QDomCDATASection class represents an XML CDATA section.

CDATA sections are used to escape blocks of text containing characters that would otherwise be regarded as markup. The only delimiter that is recognized in a CDATA section is the "]]>" string that ends the CDATA section. CDATA sections can not be nested. The primary purpose is for including material such as XML fragments, without needing to escape all the delimiters.

Adjacent QDomCDATASection nodes are not merged by the QDomElement.normalize() function.

For further information about the Document Objct Model see http://www.w3.org/TR/REC-DOM-Level-1/. For a more general introduction of the DOM implementation see the QDomDocument documentation.

MEMBER FUNCTION DOCUMENTATION

QDomCDATASection::QDomCDATASection ()
Constructs an empty CDATA section. To create a CDATA section with content, use the QDomDocument::createCDATASection() function.

QDomCDATASection::QDomCDATASection ( const QDomCDATASection & x )
Copy constructor.

The data of the copy is shared: modifying one will also change the other. If you want to make a real copy, use cloneNode() instead.

QDomCDATASection::~QDomCDATASection ()
Destructor.

bool QDomCDATASection::isCDATASection () const [virtual]
Returns TRUE.

Reimplemented from QDomNode.

QDomNode::NodeType QDomCDATASection::nodeType() const [virtual]
Returns CDATASection.

Reimplemented from QDomNode.

QDomCDATASection& QDomCDATASection::operator= ( const QDomCDATASection & x )
Assigment operator.

The data of the copy is shared: modifying one will also change the other. If you want to make a real copy, use cloneNode() instead.

SEE ALSO
http://doc.trolltech.com/qdomcdatasection.html

COPYRIGHT
Copyright 1992-2000 Trolltech AS, http://www.trolltech.com/. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.